Story6PPW/urls.py
from django.contrib import admin
from django.urls import path
from appStatus import views


urlpatterns = [
    path('admin/', admin.site.urls),
    path('mystatus/', views.indexpage),
]



    

appStatus/models.py
from django.db import models
from django.core.validators import MaxLengthValidator

# Create your models here.
class model_form(models.Model):
    Status = models.CharField(max_length = 300, validators =[MaxLengthValidator(limit_value = 300)])
    Date = models.DateTimeField(auto_now_add = True)

    def __str__(self):
        return self.Status

appStatus/forms.py
from django import forms
from .models import model_form

class status_form(forms.Form):
    Status = forms.CharField(max_length = 300, label = "", widget=forms.TextInput(attrs={'placeholder': "What's my status today!:)"}))

appStatus/views.py
from django.shortcuts import render, redirect 
from django.http import HttpResponse
from appStatus.forms import status_form
from appStatus.models import model_form


# Create your views here.
def indexpage(request):
    semua_status = model_form.objects.all()
    sent_data = {"all_status" : semua_status}

    if request.method == "GET":      #Tampilin form-nya
        form = status_form()
        sent_data["status_form"] = form #nambahin element ke dict
        return render (request, 'indexpage.html', sent_data)
    else: 
        isi_form = status_form(data=request.POST)     #dict yg isinya data yg telah di submit 
        if isi_form.is_valid():
            new_status = request.POST["Status"]
            # new_date = request.POST["date"]

            new_status_2 = model_form(
                Status = new_status,
                # date = new_date
            )
            new_status_2.save()
            return redirect("/mystatus/") #ke halaman hasil form
        else:
            return HttpResponse("NOT SAVED")

appStatus/templates/indexpage.html
{% load static %}
{% load tz %}
<!DOCTYPE html>
<html lang="en" dir="ltr">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js" integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49" crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js" integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy" crossorigin="anonymous"></script>
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.0/css/bootstrap.min.css">
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.0/js/bootstrap.min.js"></script>
<head>
<title>My Status</title>
</head>
<style>
    .table{

    }
    .middle{
        text-align: center;
    }

    body.body-bg{
        background-color: rgb(194, 161, 139);
        background-size: cover;
    }

    .text{
        font-family: Arial, Helvetica, sans-serif;
        font-size: 18px;
        letter-spacing: 1px;
        margin-left: 2vw;
    }

    #id_Status{
        width: 35%;
    }



</style>
<body class="body-bg">
    <div>
        <h1 class="middle">
            Hello Apa Kabar?
        </h1>
        <form class="middle" action='/mystatus/' method='POST'>
            {% csrf_token %}
            {{status_form}}
            <input type= "submit" value="submit">
        </form>
        {% for i in all_status %}
        <p class="text"> Status = {{i.Status}} </p>
        {% timezone "Asia/Jakarta" %}
            <p class="text"> Date : {{i.Date}} </p>
        {% endtimezone %}
        <p class="text" style = "font-family:'Roboto', sans-serif; color:black"> -------------------------</p>
        {% endfor %}

    </div>
</body>
</html>